## org.hibernate.envers.configuration.metadata
Class AuditMetadataGenerator

    java.lang.Object
      org.hibernate.envers.configuration.metadata.AuditMetadataGenerator

    public final class AuditMetadataGenerator

extends Object

Author:
  Adam Warski (adam at warski dot org), Sebastian Komander, Tomasz Bech, Stephanie Pau at Markit Group Plc, Hernán Chanfreau, Lukasz Antoniak (lukasz dot antoniak at gmail dot com)

Constructor Summary
`AuditMetadataGenerator(Configuration cfg, GlobalConfiguration globalCfg, AuditEntitiesConfiguration verEntCfg, AuditStrategy auditStrategy, org.dom4j.Element revisionInfoRelationMapping, AuditEntityNameRegister auditEntityNameRegister)`

Method Summary
`void` `generateFirstPass(PersistentClass pc, ClassAuditingData auditingData, EntityXmlMappingData xmlMappingData, boolean isAudited)`
`void` `generateSecondPass(PersistentClass pc, ClassAuditingData auditingData, EntityXmlMappingData xmlMappingData)`
`protected String` `getCatalog(String catalogFromAnnotation, Table table)`
`Map<String,EntityConfiguration>` `getEntitiesConfigurations()`
`Map<String,EntityConfiguration>` `getNotAuditedEntitiesConfigurations()` Get the notAuditedEntitiesConfigurations property.
`protected String` `getSchema(String schemaFromAnnotation, Table table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditMetadataGenerator

    public AuditMetadataGenerator(Configuration cfg,
                                  GlobalConfiguration globalCfg,
                                  AuditEntitiesConfiguration verEntCfg,
                                  AuditStrategy auditStrategy,
                                  org.dom4j.Element revisionInfoRelationMapping,
                                  AuditEntityNameRegister auditEntityNameRegister)

Method Detail

### getSchema

    protected String getSchema(String schemaFromAnnotation,
                               Table table)

### getCatalog

    protected String getCatalog(String catalogFromAnnotation,
                                Table table)

### generateFirstPass

    public void generateFirstPass(PersistentClass pc,
                                  ClassAuditingData auditingData,
                                  EntityXmlMappingData xmlMappingData,
                                  boolean isAudited)

### generateSecondPass

    public void generateSecondPass(PersistentClass pc,
                                   ClassAuditingData auditingData,
                                   EntityXmlMappingData xmlMappingData)

### getEntitiesConfigurations

    public Map<String,EntityConfiguration> getEntitiesConfigurations()

### getNotAuditedEntitiesConfigurations

    public Map<String,EntityConfiguration> getNotAuditedEntitiesConfigurations()

  Get the notAuditedEntitiesConfigurations property.

  Returns:
    the notAuditedEntitiesConfigurations property value

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.